/*
 * systemTime.h
 *
 *  Created on: 08.07.2011
 *      Author: jmm
 */

#ifndef SYSTEMTIME_H_
#define SYSTEMTIME_H_

#include "defines.h"

// Körnung der Systemzeit in Sekunden
#define EPSILON		(0.00001)
// Kleinster Prescalerwert (bei dem keine Warning kommt)
#define PS			1

typedef uint32_t timeT;
typedef uint32_t* timeP;

volatile timeT systemTime;

ISR(TIMER2_COMP_vect);
void systemtime_init();

#endif /* SYSTEMTIME_H_ */
