/*
 * uartlib.h
 *
 *  Created on: 08.07.2011
 *      Author: jmm
 */

#ifndef UARTLIB_H_
#define UARTLIB_H_

#include "stdint.h"

// Gewünschte Baudrate
#define BAUD		115200

void uart_init();

void uart_transmit8(uint8_t data);
void uart_transmit8P(uint8_t* data);
// Achtung: Es wird von MSB zu LSB übertragen
void uart_transmit16(uint16_t data);
void uart_transmit16P(uint16_t* data);
void uart_transmit32(uint32_t data);
void uart_transmit32P(uint32_t* data);
void uart_transmit64(uint64_t data);
void uart_transmit64P(uint64_t* data);

#endif /* UARTLIB_H_ */
